eID middleware |

# eIDMW::PTEID_Crypto Class Reference

Abstract base class for the cryptographic documents. More...

`#include <eidlib.h>`

Inheritance diagram for eIDMW::PTEID_Crypto:

List of all members.

## Public Member Functions

virtual PTEIDSDK_API | ~PTEID_Crypto ()=0
| Destructor.

## Protected Member Functions

| PTEID_Crypto (const SDK_Context *context, APL_Crypto *impl)
| For internal use : Constructor.

## Detailed Description

Abstract base class for the cryptographic documents.

## Constructor & Destructor Documentation

virtual PTEIDSDK_API eIDMW::PTEID_Crypto::~PTEID_Crypto | ( |  | ) | `[pure virtual]`

Destructor.

eIDMW::PTEID_Crypto::PTEID_Crypto | ( | const SDK_Context * | context,
|  | APL_Crypto * | impl |
| ) |  |  | `[protected]`

For internal use : Constructor.

The documentation for this class was generated from the following file:

- eidlib.h